- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
_Eina_Accessor Struct Reference
Accessor Functions

Type to provide random access to data structures. More...

## Public Member Functions
Eina_Accessor_Get_At_Callback get_at | EINA_ARG_NONNULL (1, 3) EINA_WARN_UNUSED_RESULT
| Callback called when a data element is requested. More...
Eina_Accessor_Get_Container_Callback get_container | EINA_ARG_NONNULL (1) EINA_WARN_UNUSED_RESULT
| Callback called when the container is requested. More...
Eina_Accessor_Free_Callback free | EINA_ARG_NONNULL (1)
| Callback called when the container is freed. More...

## Data Fields
int | version
| Version of the Accessor API. More...
Eina_Accessor_Lock_Callback lock | EINA_WARN_UNUSED_RESULT
| Callback called when the container is locked. More...
Eina_Accessor_Lock_Callback unlock | EINA_WARN_UNUSED_RESULT
| Callback called when the container is unlocked. More...

## Detailed Description

Type to provide random access to data structures.

If creating an accessor remember to set the type using EINA_MAGIC_SET.

Examples:
  eina_accessor_01.c.

## Member Function Documentation

Eina_Accessor_Get_At_Callback get_at _Eina_Accessor::EINA_ARG_NONNULL | ( | 1 | ,
|  | 3 |
| ) |  |

Callback called when a data element is requested.

Eina_Accessor_Get_Container_Callback get_container _Eina_Accessor::EINA_ARG_NONNULL | ( | 1 |  | ) |

Callback called when the container is requested.

Eina_Accessor_Free_Callback free _Eina_Accessor::EINA_ARG_NONNULL | ( | 1 |  | ) |

Callback called when the container is freed.

## Field Documentation

int _Eina_Accessor::version

Version of the Accessor API.

Eina_Accessor_Lock_Callback lock _Eina_Accessor::EINA_WARN_UNUSED_RESULT

Callback called when the container is locked.

Eina_Accessor_Lock_Callback unlock _Eina_Accessor::EINA_WARN_UNUSED_RESULT

Callback called when the container is unlocked.